Jump to content

Bug paypal


nunziorash
 Share

Recommended Posts

Salve sto cercando di configurare il modulo paypal sulla versione 1.5.2 di prestashop il modo da poter avere un pagamento classico non business o pro.

Il problema è che non richiede da nessuna parte l'email dell'account paypal e invece chiede solamente le credenziali api di paypal.

 

Il pagamento con account semplice paypal nelle versioni precedenti di prestashop funzionava e anche bene e ora che fine ha fatto?

 

Non riesco ad uscirne, devo andare online con il sito ma ho questo enorme problema (verificato anche nella nuova versione 1.5.3).

 

Grazie a tutti

Share this post


Link to post
Share on other sites

Salve sto cercando di configurare il modulo paypal sulla versione 1.5.2 di prestashop il modo da poter avere un pagamento classico non business o pro.

Il problema è che non richiede da nessuna parte l'email dell'account paypal e invece chiede solamente le credenziali api di paypal.

 

Il pagamento con account semplice paypal nelle versioni precedenti di prestashop funzionava e anche bene e ora che fine ha fatto?

 

...

 

Ciao nunziorash, sei sicuro di parlare di Prestashop?

Il modulo Paypal ha sempre funzionato con le api che si possono generare solo con l'acconut business.

 

Forse ho capito male, se vuoi, chiarisci quanto hai scritto a proposito delle versioni precedenti e cosa intendi per "pagamento classico".

Share this post


Link to post
Share on other sites

Salve sto cercando di configurare il modulo paypal sulla versione 1.5.2 di prestashop il modo da poter avere un pagamento classico non business o pro.

Il problema è che non richiede da nessuna parte l'email dell'account paypal e invece chiede solamente le credenziali api di paypal.

 

Il pagamento con account semplice paypal nelle versioni precedenti di prestashop funzionava e anche bene e ora che fine ha fatto?

 

Non riesco ad uscirne, devo andare online con il sito ma ho questo enorme problema (verificato anche nella nuova versione 1.5.3).

 

Grazie a tutti

 

Non capisco cosa tu indenda con "email dell'account paypal".....bastano le API che io ricordi

Edited by stefa38 (see edit history)

Share this post


Link to post
Share on other sites

Si nella 1.4.8.2 funziona con l'account "base."

...

 

Se per accunt "base" intendiamo il Conto Personal di PP, allora ribadisco che non è possibile e non lo è mai stato, usarlo ne su Prestashop ne su altri cms. Anche perchè il Conto Personal ha un limite (attualmente per la CEE) di 2500 Euro di pagamenti ricevuti all'anno.

 

Per ottenere le credenziali API è necessario un conto Business o Premium, non "base".

 

Aggiungo che il modulo Paypal 3.4.1 ha diversi bug ma per il semplice pagamento online funziona benissimo, basta inserire le API di un normale Conto Business.

 

Per finire, PayPal mette a disposizione una comoda Sandbox con cui creare diversi account e testare le funzionalità API.

I rete sono diponibili svariate guide anche in italiano

Share this post


Link to post
Share on other sites

Grazie a una segnalazione da parte di un altro utente che mi ha fatto notare che nella versione 1.4.8.2 il pagamento con paypal senza che sia business o pro funziona tranquillamente.

Ho verificato e in effetti funziona tutto bene nella versione 1.4.8.2 senza inserire le credenziali api.

Per questo motivo ho pensato sia un bug.

 

Se voi mi dite che bisogna per forza inserire le credenziali api e quindi bisogna avere un account business o pro allora il discorso cambia.

 

Anche se non mi spiego il funzionamento nelle vecchie versioni di prestashop.

 

Grazie delle risposte e scusate se ho postato un bug inesistente.

Share this post


Link to post
Share on other sites

Grazie a una segnalazione da parte di un altro utente che mi ha fatto notare che nella versione 1.4.8.2 il pagamento con paypal senza che sia business o pro funziona tranquillamente.

Ho verificato e in effetti funziona tutto bene nella versione 1.4.8.2 senza inserire le credenziali api.

...

 

A questo punto le cose sno 2: o è sbagliata la frase scritta nel modulo della 1.4.8.2, ovvero:

Importante: Per usare una delle soluzioni PayPal, devi impostare i parametri API nella sezione Impostazioni.

Oppure stiamo prlando di cose diverse.

 

Rimane il fatto che il conto personal ha delle limitazioni sui pagamenti ricevuti quindi lo trovo comunque "scomodo" da usare in un ecommerce.

Share this post


Link to post
Share on other sites

Salve a tutti,

approfitto di questo topic per segnalare cosa mi sta accadendo: premesso che ho inserito tutti i parametri API del modulo paypal, facendo una prova di acquisto, al momento del pagamento con carta, mi da questo errore

Please try to contact the merchant:

  • PayPal response:
  • TIMESTAMP -> 2013-01-04T10:16:06Z
  • L_ERRORCODE0 -> 10002
  • L_SHORTMESSAGE0 -> Security error
  • L_LONGMESSAGE0 -> Security header is not valid
  • L_SEVERITYCODE0 -> Error

 

A cosa è dovuto? Grazie in anticipo per l'attenzione

Share this post


Link to post
Share on other sites

A questo punto le cose sno 2: o è sbagliata la frase scritta nel modulo della 1.4.8.2, ovvero:

Importante: Per usare una delle soluzioni PayPal, devi impostare i parametri API nella sezione Impostazioni.

Oppure stiamo prlando di cose diverse.

...

 

La rispostaq al mio dubbio è: "stiamo parlando di cosa diverse".

 

@nunziorash devi aver confuso l'accont business che è gratuito con l'account PRO che costa 30 Euro al mese.

 

Quindi confermo (se ce ne fosse il caso) che il modulo PayPal funziona solo con un account Business o PRO, ovvero con gli account che consentono la generazione delle credenziali API.

Share this post


Link to post
Share on other sites

Allora prova a postare la tua versione del modulo e la tua configurazione del modulo.

 

Versione Prestashop 1.5.2

Versione del modulo paypal: 3.4.1

Configurazione:

- hai già un conto business? si

- scegli pagamenti su sito web

- username API, password API e firma API inserite e controllate più volte

- pagamento express: si

- scegli sand box: modalità live

- tipo di pagamento: direct sales

Share this post


Link to post
Share on other sites

Versione Prestashop 1.5.2

Versione del modulo paypal: 3.4.1

Configurazione:

- hai già un conto business? si

- scegli pagamenti su sito web

- username API, password API e firma API inserite e controllate più volte

- pagamento express: si

- scegli sand box: modalità live

- tipo di pagamento: direct sales

 

Dovrebbe funzionare anceh così ma prova comunque a togliere il pagamento express.

Se ancora non va, rigenera le api e quando le inserisci controlla gli spazi vuoti all'inizio e alla fine.

  • Like 1

Share this post


Link to post
Share on other sites

Dovrebbe funzionare anceh così ma prova comunque a togliere il pagamento express.

Se ancora non va, rigenera le api e quando le inserisci controlla gli spazi vuoti all'inizio e alla fine.

 

Tolto il pagamento express, rigenerato le API, ma stesso errore. Ora ho contattato Pay Pal e inviato modulo per segnalare il problema. Speriamo di risolvere. Grazie eugenata per la disponibilità

Share this post


Link to post
Share on other sites

Dovrebbe funzionare anceh così ma prova comunque a togliere il pagamento express.

Se ancora non va, rigenera le api e quando le inserisci controlla gli spazi vuoti all'inizio e alla fine.

 

Risolto e funzionante

Ho resettato il modulo, inserito di nuovo tutte le API. Molto probabilmente c'era qualche spazio vuoto nelle Firme API perchè il resto della configurazione l'ho lasciato così.

Share this post


Link to post
Share on other sites

Io ho lo stesso problema ho configurato il conto di pay Pal inserito le api premetto che ho Aruba come hosting quando provo a fare un pagamento ricevo questo messaggio penso sia un problema di permessi sulle cartelle avevo già fatto le modifiche suggerite da Mansello e funzionava ora non più

Internal Server Error 500

 

The server encountered an internal error or misconfiguration and was unable to complete your request.

 

Please contact the server administrator at [email protected] to inform them of the time this error occurred, and the actions you performed just before this error.

 

More information about this error may be available in the server error log.

Share this post


Link to post
Share on other sites

Salve io ho la versione di prestashop 1.5.2 e e un casino con paypal cioe quando installo paypal 4.3.1 e faccio click su configura mi da internal server error non mi fa fare niente e mi blocca tutto il sito devo rimuoverlo forzatamente dall' ftp per far ripartire il sito ma rimane nell ftp la cartella paypal e una sotto cartella chiamata backward_compatibility che non me le fa eliminare

chiedo aiuto pls....

grazie alle anime buone

Share this post


Link to post
Share on other sites

Le cartelle che non riesci ad eliminare o sono in lettura o sono associate ad un altro owner, a volte succede su pessimi hosting che facendo creare cartelle tramite script php vengano assegnate ad un utente tipo apache, e che quindi non siano più modificabili, e possono essere rimosse solo da un sistemista dell'assistenza, per lo meno...in passato mi accadde con un servizio di hosting.

Poi perchè stai cercando di installare paypal che è già compreso nell'installazione di prestashop ?

Edited by daniele.carlini(ciberdany) (see edit history)

Share this post


Link to post
Share on other sites

Ciao a tutti,

ho un problema col modulo paypal 3.4.1, prestashop 1.5.3.1

Sto usando la sandbox, ho generato le api e tutti gli account che mi servono su paypal per fare i test.

Faccio checkout, vado su paypal, inserisco i dati... tutto ok... il problema è che mi rimanda alla root dello shop e non ho indicazioni sul pagamento, l'ordine non è stato inserito e cosa più grave il carrello non si è svuotato e non posso più fare checkout nè vedere il carrello... niente... posso solo navigare sul sito... ho dovuto eliminare tutti i cookie...

praticamente ad ogni caricamento della pagina mi viene fatta questa chiamata:

 

/module/paypal/confirm?get_confirmation=1

 

che non fa nulla... io mi aspetterei una pagina di conferma e la scrittura dell'ordine su db... niente di tutto questo...

 

Qualcuno ha avuto i miei stessi problemi?

Edited by viandanteoscuro (see edit history)

Share this post


Link to post
Share on other sites

  • 1 month later...

Salve a tutti!

e in modo particolare a Eugenata che ogni tanto disturbo!!!

 

Premetto che seguendo il tuo consiglio ho installato la versone prestashop 1.4.8.3.

 

Anch'io ho problemi con la configurazione paypal, ti/vi scrivo il messaggio di errore che ricevo dopo aver testato:

 

AUTORIZZAZIONE A PAYPAL NON RIUSCITA

Si prega di fare riferimento ai log:

  • PayPal response:
  • TIMESTAMP -> 2013-03-01T05:38:37Z
  • L_ERRORCODE0 -> 10002
  • L_SHORTMESSAGE0 -> Security error
  • L_LONGMESSAGE0 -> Security header is not valid
  • L_SEVERITYCODE0 -> Error
  • PayPal ha rinviato l'errore

per quanto riguarda la configurazione ho selezionato il minimo e cioè:

 

SOLUZIONE:

 

Pagamenti con carta di credito

: (Visa, Mastercard, Amex, Aurora) e conto PayPal

niente Paypal Express.

IMPOSTAZIONI:

 

Modalità Sandbox (test) :

ATTIVO

 

Tipo di pagamento:

DIRETTO

quindi ho inserito:

-email associata al conto paypal

-nome utente API

-password API

-firma API

(le ho controllate attentamente e ho fatto attenzione agli spazi vuoti)

 

LOGO E PERSONALIZZAZIONI:

 

non ho inserito il logo e dove è scritto

Modello scelto per PayPal Pro :

ho lasciato la spunta sulla lettera "A"

anche perchè non è possibile deselezionarla (occorre scegliere tra A,B e C) anche se non ho registrato l'account PRO.

 

Ho sbagliato qualcosa?

 

L'unico dubbio che mi è venuto è che non vorrei fosse legato al fatto che non mi è ancora stato rimosso il limite di ricezione di 2500 € annuali anche se ho fatto richiesta da tempo e ho inviato i documenti richiesti a Paypal.

In ogni caso (seppur il limite sia in attesa di rimozione) dispongo di un Conto Business e ho potuto come detto generare i codici API.

 

Grazie dell'aiuto in anticipo!

Share this post


Link to post
Share on other sites

chiedo scusa a tutti :)

ho scoperto l'errore da dilettante quale sono:

Modalità Sandbox (test) avevo selezionato ATTIVO, mentre evidentemente in versione test da quell'errore, dopo aver selezionato su NON ATTIVO mi porta alla log in Paypal, dunque credo dovrebbe funzionare!

 

approfitto ancora per una curiosità: se si abilità Paypal Express e viene utilizzato da un cliente che fa dunque il check out come ospite e viene indirizzato direttamente al pagamento Paypal mi pongo e vi pongo due domande:

 

1) il passaggio di spuntare le "condizioni di vendita" viene saltato.... ma credo sia regolare giusto?

2) per chi come me ha differenziato i costi di spedizione tra Italia e Italia (isole e Calabria) presumo saltando la fase di inserimento della provincia anche se il cliente risiedesse ad esempio in Sicilia paypal gli farà pagare le spese di spedizione impostate sul corriere di default (cioè quello più economico) o sbaglio? c'è modo di rimediare o forse conviene disabilitare la modalità "Express"?

 

Grazie ancora!

Share this post


Link to post
Share on other sites

Ciao genoaboy2001, infatti devi disabilitare il pagamento express se vuoi ch e tutto funzioni regolarmente.

 

Ho notato anche errori quando si clicca sul bottone del pagamento express con già qualcosa nel carrello, in questo caso, se non ricordo male, a PP arriva una richiesta di pagamento per un importo errato... o qualcosa del genere, non ricordo bene perchè è passato qualche mese, però sono sicuro che in questo modo si producono errori.

 

Quindi pagamenti express: NO

Share this post


Link to post
Share on other sites

Grazie come sempre Eugenata!

per quanto riguarda l'errore di paypal express io non l'ho notato, ho fatto la simulazione di acquisto con un oggetto in carrello e mi ha aperto paypal con l'importo corretto, però al di là di questo effettivamente è una scorciatoia che non tiene presente le zone geografiche e che potrebbe anche portare a dati non corretti.

Credo anch'io sia meglio fare compilare tutti i campi al cliente anche a costo di perdere in percentuale qualche vendita.

Come suggerito da te: niente Paypal Exress!

Share this post


Link to post
Share on other sites

Ciao Eugenata, vedo che te ne intendi molto, potresti darmi una mano con il mio problema?

 

Da ieri continuo a ricevere email di errore dal modulo paypal (fino a 2 giorni fa li ricevevo senza problemi):

 

Salve,

 

Errore dal tuo modulo PayPalAPI

 

Un cliente ha avuto un problema con il modulo PayPalAPI, vedi il rapporto:

 

PayPal response:

->

PayPal ha rinviato l'errore

 

Nessun codice di errore o altro, sto usando prestashop 1.4.9 con modulo paypal 2.8.7.

 

Ho un conto premium, chiamando paypal mi hanno detto che a loro in questi 2 giorni non risultano errori e non visualizzano nessuna delle transazioni di cui ho ricevuto errore.

Share this post


Link to post
Share on other sites

Ciao DARKF3D3:

 

Ciao Eugenata, vedo che te ne intendi molto, ...

 

Me ne intendo mio malgrado.

Sarebbe meglio se non ci fossero stati bug macroscopici da risolvere, così avrei anche evitato di dover "raddrizzare" la nuova versione del modulo PayPal.

 

Però noto che usi la vecchia versione, l'errore è un po' troppo generico, non so da cosa possa dipendere.

 

Tuttavia, un mio cliente ha avuto un problema simile che abbiamo risolto semplicemente reinserendo le api e salvando la configurazione.

Forse è stato un problema di codifica ma non ne posso essere certo.

 

Prova a rigenerare le api e reinserirle.

Share this post


Link to post
Share on other sites

Ciao Eugenata, provo a vedere se ricreando le API torna a funzionare... speriamo.

 

Dici che mi conviene mettere una versione più aggiornata del modulo? L'ultima che c'è sulla 1.5 che tu sappia è compatibile con la 1.4.9?

Share this post


Link to post
Share on other sites

...

Dici che mi conviene mettere una versione più aggiornata del modulo? L'ultima che c'è sulla 1.5 che tu sappia è compatibile con la 1.4.9?

 

Si è compatibile ma bisogna prima installare e attivare il modulo backwardcompatibility (da scaricare a parte), entrare nella sua configurazione e cliccare per aggiornare. Solo dopo puoi installare il modulo senza errori.

 

Però.. se funziona ti consiglio di tenerti il modulo che hai perchè a memoria ricordo che il nuovo modulo ha dei problemi non ancora risolti (errore 500, problema con magic quotes, problema con il refund, problema con PP Pro, etc.)

Share this post


Link to post
Share on other sites

Niente da fare, ho eliminato e ricreato le ami ma continua a darmi errore, non capisco proprio cosa possa essere... sto impazzendo, è da 2 giorni che non ricevo ordini, tutti bloccati... ma non si potrebbe fare che anche in caso di errore di paypal l'ordine venga accettato comunque ma con "errore di pagamento" o "pagamento non accettato"? Così non ho nemmeno modo di risalire ai clienti che volevano fare l'ordine!

Share this post


Link to post
Share on other sites

DARKF3D3, il tuo errore è veramente molto "strano": compare all'improvviso senza che tu abbia modificato alcunchè, da PP non ne sanno niente, e non ti dà alcuna indicazione su quale sia il problema.

 

... è un po diffile capire dove sta il problema...

 

... ma non si potrebbe fare che anche in caso di errore di paypal l'ordine venga accettato comunque ma con "errore di pagamento" o "pagamento non accettato"? Così non ho nemmeno modo di risalire ai clienti che volevano fare l'ordine!

 

Ma infatti, normalmente se c'è un errore accade proprio questo e ti dice anche il codice di errore.

... non nel tuo caso.

 

Prova anche a mettere il check out classico in 5 steps.

 

Senza maggiori dettagli sul tipo di errore è veramte difficile capire dove intervenire.

Cerca nella cartella del modulo, dovresti trovare un log di errori (se è stato generato).

Share this post


Link to post
Share on other sites

Niente da fare, non so più dove sbattere la testa, ho provato a reinstallare il modulo, a mettere la nuova versione, a cambiale le api e a disabilitare il checkout rapido, ma continua a darmi errore... nel momento in cui clicco su "confermo il mio ordine" carica per 30/40 secondi e poi esce l'errore:

Autorizzazione a PayPal non riuscita
Si prega di fare riferimento ai log:
   PayPal response:
   ->
   PayPal ha rinviato l'errore

Share this post


Link to post
Share on other sites

Salve ragazzi come primo messaggio volevo prima ringraziarvi del vostro aiuto "Grazie"

 

Ho anche io il medesimo errore.

 

Please try to contact the merchant:
   PayPal response:
   ->

ho cancellato il modulo, a mettere la nuova versione, a cambiale le api. niente da fare mi da sempre lo stesso errrore.

dimenticavo: prestashop 1.5.2 con modulo paypal 3.4.5

ringrazio in anticipo se qualcuno ha qualche idea.

Share this post


Link to post
Share on other sites

Ciao Sixubu, controlla le api, reinseriscile e salva, prima di incollare la password nel campo del modulo, inollala in un file di testo per vedere se stai inserendo eventuali spazi vuoti.

Controlla anche che non sia spuntata la modalità test.

Share this post


Link to post
Share on other sites

Grazie della risposta eugenata ma ho provato anche la tua soluzione ieri sera ma nada, succesivamente ho mandato una mail a Support Paypal, e mi hanno detto che è un problema di comunicazione tra il mio server e paypal. (Dato che non da un errore effetivo)

Stamattina mi son messo in contatto con il mio server (in svizzera) e mi hanno riferito che non é un loro problema quindi un problema di paypal.......

Oggi pomeriggio mi hanno contattato da Paypal e riconfermato che "Paypal non blocca IP". Quindi dicono che il mio server non ha infrastruttura adeguata per connessione con Paypal. :unsure:

booo sono confuso :huh:

Share this post


Link to post
Share on other sites

@Sixubu: sono sicuro al 99.9% che questo errore dipenda da un errata configurazione.

Ricontrolla le api, incollale prima in un file di testo per vedere se manca qualcosa e fai attenzione agli spazi vuoti.

Assicurati di non aver attiva la modalità test.

 

Non ho altri suggerimenti.

Share this post


Link to post
Share on other sites

Anch'io ho l'identico problema degli altri, da 2 giorni.

Di punto in bianco non si collega più al sito Paypal ma non c'è nessun errore specifico :(

 

Ho provato a richiedere le API, ho inserito i dati varie volte, ho cambiato i parametri, ho aggiornato il modulo all'ultimo disponibile (più il backward compatibility), non cambia niente! :( :( :( :(

 

Frustrato e deluso. Qualcuno ha trovato soluzioni?

 

Una cosa strana è che continua ad avvisarmi che per il modulo Paypal devo installare backwardcompatibility. L'ho fatto, dice "modulo scaricato" ma continua a chiedermelo!

Edited by stefano813 (see edit history)

Share this post


Link to post
Share on other sites

Quersto errore è chiaramente un problema di API.

Altra cosa è capire perchè non vengono accettate.

 

Per togliersi ogni dubbio sul funzionamento o neno del modulo, consiglio di crearsi un account sand box con PayPal, settarte il modlo in modalità test e provare con le API della sand box.

E' in po' macchinoso ma credo ne valga la pena.

Share this post


Link to post
Share on other sites

Oggi abbiamo risolto il Problema.

Il problema non è di Prestashop ma dell'hosting, che non ha attualizzato l'indirizzo IP che comunica tra Paypal con i nostri Server.

Paypal mi a personalmente comunucato tramite mail che hanno gia comunicato di questo problema a tutti Provider AT&T, magari non tutti gli hosting lo sanno, come il mio :angry: .

E quindi sta a noi di comunicare ai nostri hosting, dell'avviso (non è un Errore ma avviso) che abbiamo nel momemto del pagamento con Paypal, cosi cambiano l'attuale IP adress.

 

@stefano813 contatta il tuo hosting e digli del problema.

 

Spero che sono stato utile

ciaoo

  • Like 1

Share this post


Link to post
Share on other sites

Problema risolto anche se non so bene come.

Ho scritto a Paypal, mi hanno risposto con un po' di righe di codice per fare un test sul server. Le ho mandate al mio host ma ha detto che era tutto a posto.

Poi gli ho detto da che giorno il sito non funzionava più e... penso abbiano capito cos'è che era stato cambiato nel server e hanno risolto tutto

  • Like 1

Share this post


Link to post
Share on other sites

Salve,

 

Ho letto attentamente tutto il post ( in particolar modo i suggerimenti di Eugenata e Sixubu ).

 

Ho il medesimo problema, PrestaShop 1.5.3.1 e modulo PayPal 3.4.6 ( ultima versione disponibile ma ho provato anche con la 3.4.5 ), su 2 account Business rifacendo le API 3 volte e il problema è sempre il medesimo, la risposa che viene fornita è :

 

 

Please try to contact the merchant:

  • PayPal response:
  • ->

 

Ora ho contattato anche il mio ISP ( FatCow ) che mi dice di chiedere a Prestashop :) o a PayPal :\).

Non è legato in alcuna maniera ad AT&T da quel che mi dicono e non sanno che fare, ora avete qualche ulteriore suggerimento ) ( senza PayPal l'intero sito non ha poi molto significato ).

Magari Sixubu potresti girarmi precisamente le indicazioni fornite dal tuo ISP ?

 

Ringrazio fin d'ora per il disturbo e ora sento anche che dice PayPal

 

Grazie,

Share this post


Link to post
Share on other sites

Ciao amar.prestashop,

scusa il ritardo ma non ho avuto propio un attimo di tempo.

 

L'unica cosa che ti posso consigliare e di insistere al tuo ISP di testare la connessione tra Paypal e ISP.

Se non funziona, sta al tuo ISP ad adeguarsi e cambiare l'indirizzo IP per poter riagganciare la comunicazione tra i Server di Paypal con i ISP.

 

Prova ad insistere perchè siamo gia in un paio che abbiamo risolto cosi...speriamo che risolvi

 

Spero che sono stato utile

ciaoo

Share this post


Link to post
Share on other sites

Ciao amar.prestashop,

scusa il ritardo ma non ho avuto propio un attimo di tempo.

 

L'unica cosa che ti posso consigliare e di insistere al tuo ISP di testare la connessione tra Paypal e ISP.

Se non funziona, sta al tuo ISP ad adeguarsi e cambiare l'indirizzo IP per poter riagganciare la comunicazione tra i Server di Paypal con i ISP.

 

Prova ad insistere perchè siamo gia in un paio che abbiamo risolto cosi...speriamo che risolvi

 

Spero che sono stato utile

ciaoo

 

Grazie infinite !!!

 

Ho rotto al mio provider, ma non devo essere stato l'unico :)

 

Ora funziona perfettamente !

 

Grazie ancora,

Edited by amar.prestashop (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

ciao a tutti. e' da un po' che seguo i post sui bug paypal.dato che ho la versione 1.5.0 con paypal 3.4.x e che è la mia prima esperienza nel creare un ecommerce. scrivo perchè ho provato ad installare, resettare, reinstallare, modificare i permessi e ho fatto tutto quello che viene suggerito nei vari post, ma niente! la risposta che ottengo cliccando su paypal alla fine del mio acquisto è sempre la stessa: impossibile contattare il server. ora, capisco che può sembrare una domanda banale (e probabilmente lo è) ma c'è qualcuno in grado di aiutarmi?

Share this post


Link to post
Share on other sites

si, ho provato mille volte a mettere le api, a verificarle. :-(((

comunque intanto grazie per la risposta. sai, credo però di aver combinato qualcosa che non va bene perchè all'inizio (circa 2 mesi fa) quando visualizzavo il sito su IE 9 e facevo il login non mi dava problemi... adesso ho scritto al mio ISP... speriamo! :-))

Share this post


Link to post
Share on other sites

Mi sapete dire perchè se posiziono il blocco paypal su una delle 2 colonne automaticamente mi compare lo stesso logo anche nel footer (ho installato il block footer data ed ho tolto quello di default).

Controllando nelle posizioni non ho richiami del blocco Paypal sul footer..aiuto!!!

Share this post


Link to post
Share on other sites

ciao a tutti. e' da un po' che seguo i post sui bug paypal.dato che ho la versione 1.5.0 con paypal 3.4.x e che è la mia prima esperienza nel creare un ecommerce. scrivo perchè ho provato ad installare, resettare, reinstallare, modificare i permessi e ho fatto tutto quello che viene suggerito nei vari post, ma niente! la risposta che ottengo cliccando su paypal alla fine del mio acquisto è sempre la stessa: impossibile contattare il server. ora, capisco che può sembrare una domanda banale (e probabilmente lo è) ma c'è qualcuno in grado di aiutarmi?

 

Ciao, ho lo stesso problema. Verificati i permessi, installato e disinstallato mille volte, ma niente...errore 500. Ho Prestashop 1.5.2.0 e paypal 3.4.7 - qualcuno sa dirmi dove trovare il modulo precedente di paypal zip da downloadare? Proverei con quello...

Si accettano consigli, grazie

Share this post


Link to post
Share on other sites

Ciao,

 

Purtroppo, come potrai leggere su questo e probabilmente altri Post ( anche in inglese ), il problema è dovuto all'interazione tra Provider e PayPal che "firewalla" le chiamate da parte di alcuni ISP in base a che cosa è ancora da capire.

 

Se chiedi a PayPal, come ho fatto io, ti risponderanno che è un problema conosciuto, le segnalazioni sono state molte e di insistere molto con il tuo ISP perché "attualizzi" l'indirizzo IP comunicato a PayPal.

 

Quindi, se avete fatto tutte le prove del caso consiglierei di insistere con il Vostro Provider altrimenti di cambiarlo.

 

:)

  • Like 1

Share this post


Link to post
Share on other sites

Strano, perchè io ho la 1.5.3 e PayPal mi ha dato le credenziali api e ho già ricevuto un sacco di pagamenti (andati a buon fine) nonostante io abbia il conto "base"

Che versione hai del modulo paypal? nessuno ha il zip della precedente che ci provo?

Probabilmente ha ragione amar.prestashop e dipende dal provider. Io lavoro con hosting linux di Register.

Grazie comunque...

Share this post


Link to post
Share on other sites

Ho la vers. 3.4.4 del modulo PayPal , se vuoi provo a tentare un' "export" del modulo .

Io lavoro con linux di A2hosting

 

Se ci riesci mi fai un favore, non c'è storia di risolvere il problema...

Grazie

Share this post


Link to post
Share on other sites

salve

scrivo qui per non aprire un ulteriore topic.

Utilizzo prestashop 1.5.3.1

ho provato con 3 differenti versioni del modulo paypal. Niente ogni volta se cerco di fare un'acquisto di prova ma una volta selezionato il pagamento paypal mi compare la scritta (all'interno del sito) errore 404

ho verificato le impostazioni e gli api più volte... niente

qualcuno ha idea di come risolvere?

Share this post


Link to post
Share on other sites

grazie mille, Joalis. ho provato a fare come mi hai suggerito, ma niente! continua a non funzionare e comunque quando faccio il reward (con le frecce) il link va al tuo negozio! :lol: complimenti !!! effettivamente mi sto un po' stancando, dato che come hai potuto notare ci sono moltissimi utenti con questo gravissimo problema e il risultato è che se noi "riusciamo" ad untilizzare Paypal, loro incassano, se noi abbiamo problemi NESSUNO DEGLI ESPERTI TI AIUTA!!! :angry: boh! mi sa che cambiero' modalità di pagamento.

Share this post


Link to post
Share on other sites

errore 404 paypal risolto,

vi spiego come ..... premetto che non sono un esperto comunque ..

ho cambiato il file di permessi CHMOD da 777 a 755 .

CHMOD

Modifica file / cartella autorizzazione per un sistema Unix / Linux è chiamato un "CHMOD", dopo il comando con lo stesso nome - è possibile trovare una spiegazione dei permessi dei file qui ). Dando loro "scrittura" si chiama "fare un CHMOD 755" o "775 CHMOD", in base all'host.

forbidden.png

Alcuni host potrebbero richiedere l'utilizzo di CHMOD 777, anche se non è raccomandato per qualcosa di più di una sola volta bisogno.

Se si deve usare CHMOD 777 per installare PrestaShop, assicurarsi di passare a un ambiente più sicuro (775, 755 o anche 644) una volta che hai finito di installare.

In ogni caso, grazie a FileZilla (e la maggior parte dei client FTP), è possibile modificare le autorizzazioni in modo semplice e graficamente: una volta che hai trovato un file o una cartella che ha bisogno di un cambiamento, fate clic destro su di esso dal client FTP, e nel contesto dal menu scegliere "I permessi dei file ...". Si aprirà una piccola finestra.

gs008-filezilla-permissions.png?version=1&modificationDate=1311167253000

entrate nella root , trovate la cartella del vostro sito, il mio è www cerate la cartella modules la aprite e trovate la carella paypal, tasto destro sopra e si apre una finestra , scegliete attributi file , si apre la finestra che si vede sopra , cambiate il valore in " valore numerico " e cliccate ok.

con me ha funzionato

.io ho cambiato tutti i i file di permesso del sito e funziona ( in alcuni post lo consigliano) ..... ma verificate bene nei vari post cosa dicono

Versione di Prestashop: 1.5.3.1

 

PayPal Versione : 3.4.7

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Scusa non mi riferivo al tuo fix ma al problema di cui avevamo discusso dal post #25 in poi, quello relativo all'hosting e a at&t.

Visto che mi è capitato altre volte, però l'ordine in in caso di errore non me lo accetta mai volevo capire se anche per voi è così.

Share this post


Link to post
Share on other sites

salve io lo stesso problema con il modulo paypal avevo una versione 3.4.7 e funzionava benissimo fino a pochi giorni fa ma all'improvviso mi da errore 500 internal server ho provato tutto attivarlo disattivarlo eliminarlo ristallarlo mettere la versione 3.4.8 e la 3.4.4 consigliata da joalis ma nulla sempre la stessa cosa.Ho un hosting linux dato da register ed una versione prestashop 1.5.1 mi date aiuto qualcuno che ha register lo ha risolto?

Share this post


Link to post
Share on other sites

Purtroppo dopo tutti i tentativi letti in questo topic, anche io non ho risolto il problema. Quando qualcuno vuole pagarmi con carta, utilizzando paypal ma non con account paypal, il sistema mi rimanda al mio store, e mi esce il seguente errore:

 

Hi Guys,

Please try to contact the merchant:

  • PayPal response:
  • TIMESTAMP -> 2013-04-20T08:38:45Z
  • L_ERRORCODE0 -> 10445
  • L_SHORTMESSAGE0 -> This transaction cannot be processed at this time. Please try again later.
  • L_LONGMESSAGE0 -> This transaction cannot be processed at this time. Please try again later.
  • L_SEVERITYCODE0 -> Error

 

Qualcuno può aiutarmi?

Share this post


Link to post
Share on other sites

Buongiorno, anch'io stesso problema ... tutto funzionava regolarmente fino a quando ( mannaggia a me ) ho aggiornato il modulo paypal ( da 3.4.x a 3.4.8 ) e da allora non sono più riuscito ad utilizzare paypal.

 

Ho fatto tremila modifiche cercando su google ma non ho mai risolto nulla !! Ho anche trovato un file zip per modulo paypal 3.4.4 ma non ho risolto ancora nulla ... al momento del pagamento se si sceglie paypal il risultato è :

 

 

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at [email protected] to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Share this post


Link to post
Share on other sites

Ciao @Sevenik , avevo lo stesso problema (con versione 1.5.4 di Prestashop) ed ho risolto impostando i permessi a 755 per la cartella del modulo Paypal includendo anche le sottocartelle.

Spero di poter esser stato di aiuto con questo primo intervento sul forum e saluto e ringrazio tutti!

Share this post


Link to post
Share on other sites

  • 5 months later...

Come postato anche ad Annalisa, io ho superato questo scoglio utilizzando un altro sistema di pagamento PaySite-Cash, alcune caratteristiche:

 

- moduli d siposizioni quasi per tutti i CMS, chiaramente comprso prestashop

- velocità dell'help desk nel TESTARE il funzionamento, attivare l'id merchant e assistere lo sviluppatore

- basse commissioni 2,99 + o,99c (mi sembra), cmq nessuna fee di ingresso

- multilingue

- accetta tutte le carte di credito piu utilizzate

 

e dopo la fase di registrazione, seguono lo sviluppatore grazie ad un area Help-Desk molto fornita di moduli e faq e ticket 

 

Inoltre, dopo la registrazione, l'attivazione e l'upload del modulo prestashop (e configurazione) seguono la fase di test in maniera individuale.

 

Secondo me, fino adesso, sono stati molto professionali, altro che PayPal che spesso nemmeno ti rispondono.

ci sono delle piccole pecche, non accettano tutti in quanto in fase iniziale inviano un questionario (semplicissimo a cui dover rispondere), ma accettano sia privati che aziende

 

Inoltre, bisogna far attenzione, al minimo payout che di solito puo variare da e. 130 a 300 per i nuovi utenti. Ma dipende dal sito e dai prodotti venduti. 

 

Provatelo tanto è gratuito, dopo tante ricerche su internet, secondo me è l'unica vera alternativa a PayPal

Share this post


Link to post
Share on other sites

  • 2 years later...
Guest locen

Ciao a tutti, effettuado dei test in modalità sandbox lo stato dell'ordine è "in attesa di pagamento con paypal" mentre in modalità live tutto funziona.

E' possibile che dopo il 17 Giugno (data delle modifiche di sicurezza paypal) non funzioni paypal vista la notifica che ricevo nell'ordine?

Aggiungo che non leggo nessuna notifica di errore di sicurezza.

 

VERSIONI: 

PAYPAL: 3.10.8

PRESTASHOP: 1.6.0.9

Share this post


Link to post
Share on other sites

Guest locen

Ciao a tutti, effettuando dei test in modalità sandbox lo stato dell'ordine è "in attesa di pagamento con paypal" mentre in modalità live tutto funziona. È possibile che fopo il 17Giugno (data delle modifiche di sicurezza paypal) non funzioni il modulo paypal vista la notifica che ricevo nell'ordine?

Prestashop 1.6.0.9

Paypal 3.10.8

Versione modulo: paypal europa

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More